/* parser.h is part of VIP program
 * Written by J. Salvador Arias, 2010
 *      CONICET, INSUE, Instituto Miguel Lillo,
 *      Miguel Lillo 205, S.M. de Tucuman (4000)
 *      Tucuman, Argentina
 *      e-mail: jsalarias@csnat.unt.edu.ar
 *
 * VIP is a free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation and
 * Creative Commons.
 *
 * This file and the VIP program is distributed in the hope
 * that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this file; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 * Or download it at:
 * http://creativecommons.org/licenses/GPL/2.0/
 */

#ifndef PARSER_HEADER_INCLUDED
#define PARSER_HEADER_INCLUDED

/* ------ High level input ------ */
/* Parser functions for high level control of user generated input */

#include "ghead.h"
#include "progbar.h"

/* Read an input file */
SFLAG ReadFile (gchar* name, PROGRESSSTRUCT* progress);
SFLAG FeedFile (gchar* name, PROGRESSSTRUCT* progress);
SFLAG ReadResults (gchar* name, PROGRESSSTRUCT* progress);

/* Set a command line */
void SetCommandLine (gchar* text);
SFLAG GetCmdNumber (SINTEGER* dest);
SFLAG GetCmdReal (SREAL* dest);

#endif
